const app = getApp();
import { request, formateWeek } from '../../utils/util.js';
import api from '../../config/api.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    lists: [],
    dataForm: {
      page: 1,
      limit: 15,
      appId: 2030001,
      searchAppId: 2030001,
    },
    types: {
      0: '每日打卡',
      1: '目标步数达成',
      2: '赛程奖励',
    },
    totalPage: 0,
    EBitems: [
      {
        name: '戈友商城EB',
      },
      {
        name: '戈友圈EB',
      },
      {
        name: '工商大道EB',
      },
    ],
    selindex: 0,
    allEB: [
      {
        name: '全部',
      },
      {
        name: '收入',
      },
      {
        name: '支出',
      },
    ],
    ebindex: 0,
  },
  /**
   * 获取已报名过的信息
   */
  getData() {
    const userId = wx.getStorageSync('userInfo').userId;
    request(api.detailPoint, { ...this.data.dataForm, userId }, 'GET').then((res) => {
      if (res.errno === 0) {
        console.log(res);
        const page = this.data.page;
        const items = res.data.userPointRecordInApp;
        console.log([...this.data.lists, ...items]);
        this.setData({
          lists: this.data.dataForm.page > 1 ? [...this.data.lists, ...items] : items,
          totalRemainPoint: res.data.userRemainPoint,
          totalPage: Math.ceil(res.data.totalLength / this.data.dataForm.limit),
        });
      } else {
        wx.showToast({
          title: res.errmsg, //提示的内容,
          icon: 'none', //图标,
          duration: 2000, //延迟时间,
          success: (res) => {},
        });
        if (res.errno === 501) {
          this.setData({
            requestMethods: 'initData',
            author: true,
          });
        }
      }
    });
  },
  selectItem(e) {
    this.setData({
      selindex: e.currentTarget.dataset.index,
    });
    let searchAppId = 2030001;
    // if (e.currentTarget.dataset.index == 1) {
    //   searchAppId = 2030001;
    // }
    switch (e.currentTarget.dataset.index){
      case 0:
        searchAppId = 2030001;
        break;
      case 1:
        searchAppId = 2010001;
        break;
      case 2:
        searchAppId = 2060001;
        break;
    }
    this.setData({
      lists: [],
      totalRemainPoint: '',
      'dataForm.searchAppId': searchAppId,
    });
    this.getData();
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.setData({
      lists: [],
      'dataForm.page': 1,
    });
    this.getData();
    setTimeout(() => {
      wx.stopPullDownRefresh();
    }, 300);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    const dataForm = this.data.dataForm;
    if (dataForm.page >= this.data.totalPage) {
      wx.showToast({
        title: '已没有更多数据',
        icon: 'none',
        duration: 2000,
      });
    } else {
      this.setData({
        'dataForm.page': dataForm.page + 1,
      });
      this.getData();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
});
